Subject: [BUG] Page allocation failures with newest kernels

From: [email-masked] (Will Deacon)
Date: Tue, 31 May 2016 14:15:20 +0100

On Tue, May 31, 2016 at 01:10:44PM +0000, Yehuda Yitschak wrote:
> During some of the stress tests we also came across a different warning
> from the arm64  page management code
> It looks like a race is detected between HW and SW marking a bit in the PTE

A72 (which I believe is the CPU in that SoC) is a v8.0 CPU and therefore
doesn't have hardware DBM.

> Not sure it's really related but I thought it might give a clue on the issue
> http://pastebin.com/ASv19vZP

There have been a few patches from Catalin to fix up the hardware DBM
patches, so it might be worth trying to reproduce this failure with a
more recent kernel. I doubt this is related to the allocation failures,
however.

Will